Bug 796606 - Firstboot failed OSError: [Errno 2] No such file or directory: '/sys/bus/pci/devices/'
Firstboot failed OSError: [Errno 2] No such file or directory: '/sys/bus/pci/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
16
s390x Linux
unspecified Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-23 05:15 EST by Giora Bar
Modified: 2013-02-26 10:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:13:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Giora Bar 2012-02-23 05:15:09 EST
Description of problem:

During Fedora 16 install process under my z/VM V5.4 (s390x Z9 platform)
first step (install packages) successfully done.
Step of firstboot - failed.  

Version-Release 16 of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Fedora v 16 (3.1.9-1.fc16.s390x) under z/VM
2. Fisrtboot (following restart , after all packages installed)
3. or login to root and issue the firstboot command.
  
Actual results:

Failed during first boot with error:
OSError: [Errno 2] No such file or directory: '/sys/bus/pci/devices/'

Expected results:

success: as I have noticed devices are in: '/sys/bus/css/devices/'

Additional info:

[root@mflinux ~]# firstboot
INFO:firstboot.loader:loading module create_user
INFO:firstboot.loader:loading module eula
INFO:firstboot.loader:loading module keyboard
INFO:firstboot.loader:module only available in reconfig mode
INFO:firstboot.loader:loading module welcome
INFO:firstboot.loader:loading module rootpassword
ERROR:firstboot.loader:module does not implement the required class
INFO:firstboot.loader:loading module smolt
INFO:firstboot.loader:loading module date
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 152, in <module>
    profile = smolt.get_profile()
  File "/usr/share/smolt/client/smolt.py", line 1414, in get_profile
    return Hardware()
  File "/usr/share/smolt/client/smolt.py", line 1004, in Hardware
    _hardware_instance = _Hardware()
  File "/usr/share/smolt/client/smolt.py", line 530, in __init__
    self.devices = get_device_list()
  File "/usr/share/smolt/client/devicelist.py", line 110, in get_device_list
    for device in os.listdir(PATH):
OSError: [Errno 2] No such file or directory: '/sys/bus/pci/devices/'

Gdk-ERROR **: The program 'firstboot' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 695 error_code 2 request_code 145 minor_code 34)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

Additional Info:
----------------
[root@mflinux ~]# uname -a
Linux mflinux.sapiens.com 3.1.9-1.fc16.s390x #1 SMP Fri Jan 20 08:19:37 UTC 2012 s390x s390x s390x GNU/Linux

[root@mflinux ~]# cat /etc/redhat-release
Fedora release 16 (Verne)

[root@mflinux ~]# cat /proc/version
Linux version 3.1.9-1.fc16.s390x (mockbuild@fedora3.s390.bos.redhat.com) (gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC) ) #1 SMP Fri Jan 20 08:19:37 UTC 2012

[root@mflinux ~]# python
Python 2.7.2 (default, Oct 29 2011, 20:20:50)
[GCC 4.6.1 20111003 (Red Hat 4.6.1-10)] on linux2
Comment 1 Fedora End Of Life 2013-01-16 15:57:45 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-26 10:13:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.